<?php
require '../../conexao/conexao.php';
require '../../conexao/acesso.php';
require '../../configuacoes.php';
require '../../configuracao/filtros.php';

$filtros = new Filtros();


// Obtendo os parâmetros
$ano = $_GET['ano'] ?? null;
$mes = $_GET['mes'] ?? null;
$id_dia_trabalho_cidade = $_GET['id_dia_trabalho_cidade'] ?? null;

$url = http_build_query([
    'ano' => $ano,
    'mes' => $mes,
    'form_submitted' => '1'
]);

if (isset($id_dia_trabalho_cidade) && trim($id_dia_trabalho_cidade) > 0) {
}
//echo $sql_base;
//exit();


//echo $total_records;


//}
?>

<!DOCTYPE html>
<html lang="pt-br">
<?php
$pageTitle = "Alteração Semanas"; // Definir o título da página aqui
include('../header.php'); ?>

<!-- Navigation Bar-->
<?php
include('../menu.php');
?>

<head>
    <link rel="icon" href="/mandareceita/pages/configuracoes/logo-sm.png">
    <link rel="shortcut icon" href="/mandareceita/pages/configuracoes/logo-sm.png">

</head>

<body>


    <!-- ============================================================== -->
    <!-- Start Page Content here -->
    <!-- ============================================================== -->
    <div class="wrapper candidato">
        <div class="container-fluid">

            <div class="card-box mt-3">
                <div class="row">

                    <div class="col-6 text-left">
                        <h4 class="page-title">Configurar Semanas</h4>
                    </div>

                    <div class="col-6 text-right">
                        <a href="index.php?<?= $url ?>" class="btn btn-light">
                            <i class="mdi mdi-keyboard-backspace"></i> Voltar
                        </a>
                    </div>

                    <div class="col-12">
                        <hr>
                    </div>

                    <div class="col-12">
                        <form method="post" action="processa_alteracao.php" onsubmit="return validarFormulario()">
                            <!-- Campos ocultos para manter o estado do cadastro inicial feita em INDEX.PHP -->
                            <input type="hidden" name="url" value="<?php echo isset($url) ? $url : ''; ?>" />
                            <input type="hidden" name="I" value="I" />

                            <div class="form-row mb-3">
                                <?php echo $filtros->FiltroDataInicioFim('Data'); ?>
                                <div class=" form-group col-6 col-md-4 col-lg-2">
                                    <label for="semana" class="col-form-label">Semana</label>
                                    <select id="semana" name="semana" class="form-control" required>
                                        <option value="">Selecione</option>
                                        <option value="1">Semana 1</option>
                                        <option value="2">Semana 2</option>
                                        <option value="3">Semana 3</option>
                                        <option value="4">Semana 4</option>
                                        <option value="5">Semana 5</option>
                                    </select>
                                </div>

                                <div class="col-12 text-right">
                                    <!--  <a href="index.php" class="btn btn-warning mr-2"><i class="mdi mdi-plus"></i> Limpar</a> -->
                                    <button type="submit" class="btn btn-primary"><i class="mdi mdi-magnify"></i> Salvar</button>
                                </div>
                        </form>
                    </div>
                </div>



            </div>
        </div>

    </div> <!-- end container -->

    <!-- end wrapper -->

    <!-- ============================================================== -->
    <!-- End Page content -->
    <!-- ============================================================== -->

    <?php include('../footer.php'); ?>
    <?php include('../mensagens_modais.php'); ?>
    <!-- Vendor js -->
    <script src="../../../assets/js/vendor.min.js"></script>

    <!-- knob plugin -->
    <script src="../../../assets/libs/jquery-knob/jquery.knob.min.js"></script>
    <!-- App js-->
    <script src="../../../assets/js/app.min.js"></script>

    <script src="../../geral/javascript.js"></script>
    <script>
        function showModal(title, message) {
            const modal = new bootstrap.Modal(document.getElementById('exampleModal'));
            const modalTitle = document.querySelector('.modal-title');
            const modalBody = document.querySelector('.modal-body p');

            modalTitle.textContent = title;
            modalBody.textContent = message;

            modal.show();
        }

        function validarCampo(id) {
            let campo = document.getElementById(id);
            return campo.value.trim(); // Retorna o valor do campo após remover espaços em branco
        }

        function adicionarClasseErro(campo) {
            campo.classList.add('is-invalido');
        }

        function removerClasseErro(campo) {
            campo.classList.remove('is-invalido');
        }

        function validarFormulario() {
            let DataInicial = validarCampo("DataInicial");
            let DataFinal = validarCampo("DataFinal");


            let DataInicialCampo = document.getElementById("DataInicial");
            let DataFinalCampo = document.getElementById("DataFinal");

            if (DataInicial === '' || DataFinal === '') {
                adicionarClasseErro(DataInicialCampo);
                adicionarClasseErro(DataFinalCampo);
                showModal('Informação', 'As datas de inicial e final são obrigatórias para realizar o cadastro.');
                return false;
            }

            if (new Date(DataInicial) > new Date(DataFinal)) {
                adicionarClasseErro(DataInicialCampo);
                adicionarClasseErro(DataFinalCampo);
                showModal('Erro', 'A data inicial não pode ser maior que a data final.');
                return false;
            }

            if (!algumPreenchido) {
                showModal('Informação', 'Pelo menos um campo deve estar preenchido para realizar o cadastro.');
                return false;
            }

            return true;
        }

        function verificarDatas() {
            let DataInicialCampo = document.getElementById("DataInicial");
            let DataFinalCampo = document.getElementById("DataFinal");
            let DataInicial = DataInicialCampo.value.trim();
            let DataFinal = DataFinalCampo.value.trim();

            if (DataInicial !== '' && DataFinal !== '') {
                removerClasseErro(DataInicialCampo);
                removerClasseErro(DataFinalCampo);

                if (new Date(DataInicial) > new Date(DataFinal)) {
                    adicionarClasseErro(DataInicialCampo);
                    adicionarClasseErro(DataFinalCampo);
                    //showModal('Erro', 'A data inicial não pode ser maior que a data final.');
                }
            }
        }

        document.getElementById("DataInicial").addEventListener('input', function() {
            removerClasseErro(this);
            verificarDatas();
        });

        document.getElementById("DataFinal").addEventListener('input', function() {
            removerClasseErro(this);
            verificarDatas();
        });
    </script>
    <style>
        .is-invalido {
            box-shadow: 0 0 5px red !important;
        }
    </style>

</body>

</html>